﻿// Прокси вызовов общих модулей других подсистем
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Возвращает общий модуль СтроковыеФункцииКлиентСервер
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция СтроковыеФункцииКлиентСервер() Экспорт
	
	Возврат Модуль("СтроковыеФункцииКлиентСервер");
КонецФункции // СтроковыеФункцииКлиентСервер 

// Возвращает общий модуль ОбщегоНазначения
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция ОбщегоНазначения() Экспорт
	
	Возврат Модуль("ОбщегоНазначения");
	
КонецФункции // ОбщегоНазначения 

// Возвращает общий модуль РаспределениеЗапасов
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция РаспределениеЗапасов() Экспорт
	
	Возврат Модуль("РаспределениеЗапасов");
	
КонецФункции // РаспределениеЗапасов 

// Возвращает общий модуль ОбменДаннымиСервер
//
// Параметры: 
//
// Возвращаемое значение: 
//
Функция ОбменДаннымиСервер() Экспорт
	
	Возврат Модуль("ОбменДаннымиСервер");
	
КонецФункции // ОбменДаннымиСервер 

// Возвращает общий модуль ОбменДаннымиПовтИсп
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМдуль
//
Функция ОбменДаннымиПовтИсп() Экспорт
	
	Возврат Модуль("ОбменДаннымиПовтИсп");
	
КонецФункции // ОбменДаннымиПовтИсп 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

// Возвращает общий модуль по имени
//
// Параметры: 
//
// Возвращаемое значение: 
// 	ОбщийМодуль
//
Функция Модуль(Имя)
	
	Возврат Вычислить(Имя);
	
КонецФункции // Модуль 

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 